Static Ads Lab
API ReferenceDesign templatesV1Design templatesId

Get a design template

Returns a single design template by ID.

GET
/v1/design-templates/{id}
X-API-Key<token>

API key for authentication. Include in the X-API-Key header.

In: header

Path Parameters

idstring

The design template ID

Length1 <= length

Response Body

curl -X GET "https://api.staticadslab.com/v1/design-templates/dt_a1b2c3d4e5f67890"
{
  "data": {
    "id": "dt_a1b2c3d4e5f67890",
    "reference_image_url": "string",
    "status": "completed",
    "current_json_tree": {
      "property1": null,
      "property2": null
    },
    "preview_url": "string",
    "width": 0,
    "height": 0,
    "aspect_ratio": "1:1",
    "industry": "Apparel & Accessories",
    "ad_format": "Sale",
    "json_tree_version": 1,
    "duration_ms": 0,
    "created_at": "2026-03-27T12:00:00.000Z",
    "updated_at": "2026-03-27T12:00:00.000Z"
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}